<?
include("config.php");
	header("Content-Type: text/html;  charset=iso-8859-1",true);
if(!$_SESSION['paineladm']){ include("logar.php"); die(); } ?>
<html>
<head>
</head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<? if(empty($_GET['conta']) && empty($_GET[passo])){ ?><body>
<div align="center">Personagem:	
  <input type="text" id="nome" maxlength="10" />
  <br />
  Motivo: 
  <input type="text" id="motivo" />
<br />
  Tempo a Ficar Banido:
  <input type="text" id="tempo" />   Em Dias Ex: 31 dias <br />
  <br />
  <input type="submit" name="Submit" value="Banir" OnClick="Carregar('banirchar.php?passo=2&' +
      'nome=' + document.getElementById('nome').value +
	  '&tempo=' + document.getElementById('tempo').value +
	  '&motivo=' + document.getElementById('motivo').value ,'result_ban');"/>
<? } ?>
<?
if($_GET['passo']==2){
$nome	=	$_GET['nome'];
$tempo	=	$_GET['tempo'];
$motivo	=	$_GET['motivo'];
$ero="";
if(eregi("[^0-9]", $tempo)){ $ero.="Tempo invalido!<br>"; $era=1; }
if(mssql_num_rows(mssql_query("select Name from Character where Name='" .$nome. "'")) <=0) { $ero.="Personagem Invalido!<br>"; $era=1; }
if(empty($_GET['nome'])){ $ero.="Determine o personagem que ira ser bloqueado!<br>"; $era=1; }
if(empty($_GET['tempo'])){ $ero.="Determine o personagem que ira ficar bloqueado!<br>"; $era=1; }
if(empty($_GET['motivo'])){ $ero.="Determine o motivo do personagem ser banido!<br>"; $era=1; }
if($era==1){ die("<center>".$ero."</center>"); }else{
$der=	"UPDATE Character SET CtlCode=1, databloc=getdate(), diasdesbloc='$tempo', motivobloc='$motivo', blocpor='" .$_SESSION['admlogin']. "'WHERE Name='" .$nome. "'";
mssql_query($der);
$ahh=mssql_fetch_array(mssql_query("select * from Character where Name='" .$nome. "'"));
						die("O Personagem " .$nome. " foi Banido pelo seguinte motivo:<br>" .$ahh['motivobloc']. "<br>Durante " .$ahh['diasdesbloc']. " Dias<br> Com Sucesso!");
						}}
?>
	  <div align="center" id="result_ban"></div>
</div>
</body>
</html>